## r-cran-jpeg 0.1

=== DESCRIPTION ===
Package: jpeg
Version: 0.1-11
Title: Read and write JPEG images
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.org,
    <https://orcid.org/0000-0003-2297-1732>)
Authors@R: person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.org", ORCID="0000-0003-2297-1732"))
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: This package provides an easy and simple way to read, write and display bitmap images stored in the JPEG format. It can read and write both files and in-memory raw vectors.
License: GPL-2 | GPL-3
SystemRequirements: libjpeg
URL: https://www.rforge.net/jpeg/
BugReports: https://github.com/s-u/jpeg/issues
NeedsCompilation: yes
Packaged: 2025-03-21 03:05:05 UTC; rforge
Repository: CRAN
Date/Publication: 2025-03-21 15:37:18 UTC

## r-cran-jpeg 0.1-8

=== debian/changelog ===
r-cran-jpeg (0.1-8-1) unstable; urgency=medium

  * Initial release (closes: #928237)

 -- Steffen Moeller <moeller@debian.org>  Tue, 30 Apr 2019 15:46:43 +0200

=== debian/control ===
Source: r-cran-jpeg
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jpeg
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jpeg.git
Homepage: https://cran.r-project.org/package=jpeg

Package: r-cran-jpeg
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Read and write JPEG images
 This package provides an easy and simple way to read, write and display
 bitmap images stored in the JPEG format. It can read and write both
 files and in-memory raw vectors.

## r-cran-jpeg 0.1-8.1

=== debian/changelog ===
r-cran-jpeg (0.1-8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Oct 2019 09:53:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jpeg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jpeg.git
 Homepage: https://cran.r-project.org/package=jpeg

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/jpeg_([-\d.]*)\.tar\.gz

## r-cran-jpeg 0.1-9

=== debian/changelog ===
r-cran-jpeg (0.1-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 17:28:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jpeg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jpeg.git
 Homepage: https://cran.r-project.org/package=jpeg
+Rules-Requires-Root: no
 
 Package: r-cran-jpeg
 Architecture: any

## r-cran-jpeg 0.1-10

=== debian/changelog ===
r-cran-jpeg (0.1-10-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2022 11:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-jpeg
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jpeg
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jpeg.git
+Homepage: https://cran.r-project.org/package=jpeg
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jpeg
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jpeg.git
-Homepage: https://cran.r-project.org/package=jpeg
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-jpeg
 Architecture: any

## r-cran-jpeg 0.1-11

=== debian/changelog ===
r-cran-jpeg (0.1-11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository.

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 12:12:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-jpeg
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jpeg
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jpeg.git
 Homepage: https://cran.r-project.org/package=jpeg
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-jpeg
 Architecture: any
